#
# spec file for package python-maxminddb
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-maxminddb
Version:        1.3.0
Release:        lp151.2.3
License:        Apache-2.0
Summary:        Reader for the MaxMind DB format
Url:            http://www.maxmind.com/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/m/maxminddb/maxminddb-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python2-ipaddress
BuildRequires:  libmaxminddb-devel
BuildRequires:  fdupes
# SECTION test requirements
%if %{with test}
BuildRequires:  %{python_module nose}
%endif
# /SECTION
%ifpython2
Requires:       python2-ipaddress
Recommends:     libmaxminddb0
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
This is a Python module for reading MaxMind DB files. The module includes both
a pure Python reader and an optional C extension.

MaxMind DB is a binary file format that stores data indexed by IP address
subnets (IPv4 or IPv6).

%prep
%setup -q -n maxminddb-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand rm %buildroot%{$python_sitearch}/maxminddb/extension/maxminddb.c
%python_expand %fdupes %buildroot%{$python_sitearch}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitearch}/*

%changelog
* Thu May 25 2017 sebix+novell.com@sebix.at
- initial package
